#include <stdio.h> /* fprintf(3), NULL */
#include <unistd.h> /* execv(3), */

#if !defined EX_USAGE
#	include <sysexits.h> /* EX_USAGE */
#endif

static char *program_name = "simexec";

int main(int argc, char *argv[]){

	if(argc < 2){
		fprintf(stderr, "Usage: %s [pathname] [argv...]\n",
			argv[0] == NULL ? program_name : argv[0]
		);
		return EX_USAGE;
	}

	return execv(argv[1], argv+2);
}
