#include <stdio.h> /* fprintf(3), stderr */
#include <sysexits.h> /* EX_USAGE */

static char *program_name = "streq";

int main(int argc, char *argv[]){
	int i;

	if(argc < 3){
		fprintf(stderr, "Usage: %s [string] [string...]\n",
			argv[0] == NULL ? program_name : argv[0]);
		return EX_USAGE;
	}

	for(; *argv[1] != '\0'; ++argv[1])
		for(i = 2; i < argc; ++i)
			if(*argv[i-1] != *argv[i]++)
				return 1;

	return 0;
}
