/* Definitions were determined by reading Adafruit code and the datasheet. */

#define HT16K33_SYSTEM_CMD 0x20 /* 0b0010???x */
#define HT16K33_SYSTEM_ON 0x01 /* 0b00000001 */
#define HT16K33_SYSTEM_OFF 0x00 /* 0b00000000 */

/* `0xE0 | n`, where 0 <= n <= 15 and the display dims to (n+1)/16 duty */
#define HT16K33_CMD_BRIGHTNESS 0xE0 /* 0b1110xxxx */

#define HT16K33_BLINK_CMD 0x80 /* 0b1000?xxx */
#define HT16K33_BLINK_DISPLAYON 0x01 /* 0b1000???x */
