def main(buffer, command):
	if len(command) > 1:
		print("?")
		return buffer

	i = []
	while True:
		try:
			line = input()
		# unintuitive behavior from ed
		except KeyboardInterrupt:
			print("?")
			return buffer
		except EOFError:
			break

		if line == ".":
			break

		i.append(line)

	if buffer.dot < buffer.index:
		buffer.content_set_list(i)
	else:
		buffer.content_set_list(
			buffer.content_list()[:buffer.dot]
			+ i
			+ buffer.content_list()[buffer.dot:]
		)
	buffer.dot += len(i)
	return buffer
