#if defined UINT32_MAX /* indicator <stdint.h> is included */
#	define unicode_codepoint_t uint32_t
#else
 /* C99 draft 5.2.4.2.1 Sizes of integer types says unsigned long must be able
  * to hold 32b */
#	define unicode_codepoint_t unsigned long
#endif
#define utf32_t unicode_codepoint_t
/* for holding the literal numeric value of a utf8 rune, not for assembling
 * strings; >=32b value */
#define utf8_t unicode_codepoint_t

#define UTF8_MAX 0x10FFFF

/* encode UTF-32 value into UTF-8 */
utf32_t utf8(utf32_t c);
