# Packaging simexec.c

## License

Simexec is Public Domain so there are basically no barriers when it comes to
licensing. And if you somehow violate my already-forfeited copyright, I promise
I won't sue you.

## Files

- `src/simexec`
	- Can be moved to a system sources directory if it's desirable to keep
		system sources on hand. Doesn't reference anything else in the
		repository.

- `simexec.1`
	- Included manual page for `simexec`. Can be placed in the appropriate
		manual pages directory. If it displays weirdly and your fix is
		portable, mail me and I'll probably bring it upstream.
 
- `simexec.c`
	- A single C file that builds to a single executable, which should be
		named `simexec`.

- `simexec`
	- Program binary. Should be placed in a user-accessible binaries
		directory.

## Dependencies

- `<sysexits.h>`
	- Ignored if `EX_USAGE` is already defined.

- C standard library

## Compilation

```
cc -o simexec simexec.c
```

Or without `<sysexits.h>`:

```
cc -DEX_USAGE=1 -o simexec simexec.c
```

## Known packages

- [On the Arch User Repository](https://aur.archlinux.org/packages/simexec-git).
