#!/bin/sh

set -e

i=1
while test -e "$i".test; do
	printf '%s: %s: Running test...\n' "$0" "$i".test
	./"$i".test >"$i".result
	diff 1.expected 1.result
	printf '%s: %s: Test passed.\n' "$0" "$i".test
	i="$(printf '%s + %s\n' 1 "$i" | bc)"
done
